// light mapping pixel shader

//textures seem to bind 1 to 1 with texture units
uniform sampler2D btex;
uniform sampler2D normMap;
uniform sampler2D alphaMap;
uniform vec4 material;
uniform int norm;
varying vec3 newLightPos;

void main()
{

  	vec4 planeTex = texture2D(btex, gl_TexCoord[0].st);	
	vec4 normTex = texture2D(normMap, gl_TexCoord[0].st);
	vec4 alpha_color = texture2D(alphaMap, gl_TexCoord[0].xy);
	vec3 n = (normTex.xyz * 2) - 1;
	n = normalize(n);
	vec4 color;
	if(norm == 1){
	color = planeTex * clamp((dot(n,normalize(newLightPos))),0,1)  * material;
	}
	else if(norm == 2){
	color = planeTex * material;
	}
	else if(norm == 3){
	color = normTex;
	}else if(norm == 4){
		if(alpha_color.r<0.1){
		  discard;
		}
	color  = texture2D(alphaMap, gl_TexCoord[0].xy) * clamp((dot(n,normalize(newLightPos))),0,1)* planeTex * material;
	}
	else if(norm == 5){
		if(alpha_color.r<0.05){
		  color  = clamp((dot(n,normalize(newLightPos))),0,1)* planeTex * vec4(.6,.7,.3,1);
		}else if(alpha_color.r<0.4){
		  color  = clamp((dot(n,normalize(newLightPos))),0,1)* planeTex * vec4(.7,.4,.4,1);
		}else{
			color  = clamp((dot(n,normalize(newLightPos))),0,1)* planeTex * material;
		}
	}
	//*vec4(.2,.2,.8,1)
	gl_FragColor = color;
}

